# Pseudo-Marginal Slice Sampling

The code for reproducing the experiments in the paper
are split into three parts:

    * `toy_model`
      `MATLAB` code for experiments with Gaussian target
       in section 5 of the paper (figure 4).

    * `ising`
      `C` code for Ising model parameter inference experiments
       in section 5.1 of the paper (figure 5).

    * See https://github.com/matt-graham/auxiliary-pm-mcmc
      for `python` code for the Gaussian process classification
      model parameter inference experiments in section 5.2 of
      the paper (figure 6 and table 1).

The first two parts are in sub-directories of this archive with
their own README file.

The paper is:

Pseudo-Marginal Slice Sampling
Iain Murray and Matthew M. Graham
JMLR W&CP 51:911–919, 2016.
http://homepages.inf.ed.ac.uk/imurray2/pub/16pmss/

Links to other implementations, perhaps easier to use,
will also be listed at:
http://homepages.inf.ed.ac.uk/imurray2/pub/16pmss/
