function handle = bar_goop(vals, cc, varargin)

% [vals, cc] = hist(...);

deltas = diff(cc);
ww = deltas(1);
assert(max(abs(deltas - ww)) < 1e-8); % Haven't thought about unevenly spaced bars

vec = @(x) x(:);
xbits = vec([cc(:)' - ww/2; cc(:)' + ww/2])';
xbits = [xbits(1) xbits xbits(end) xbits(1)];

ybits = vec([vals(:)'; vals(:)'])';
ybits = [0 ybits 0 0];

band_color = [0.7 0.7 0.7];
handle = fill(xbits , ybits, band_color, 'EdgeColor', band_color, varargin{:});
