function handle = bar_steps(vals, cc, varargin)

% [vals, cc] = hist(...);

deltas = diff(cc);
ww = deltas(1);
assert(max(abs(deltas - ww)) < 1e-8); % Haven't thought about unevenly spaced bars

vec = @(x) x(:);
xbits = vec([cc(:)' - ww/2; cc(:)' + ww/2])';
xbits = [xbits(1) xbits xbits(end)];

ybits = vec([vals(:)'; vals(:)'])';
ybits = [0 ybits 0];

handle = plot(xbits, ybits, varargin{:});

