#ifndef  _MC_OPERATORS_H_
#define  _MC_OPERATORS_H_

#include "random.h"

typedef void (*transition_operator)(void* state, Rand_t seed);

/* summary states */
typedef void (*ss_blanker)(void* summary_state);
typedef int (*ss_coalesced)(void* summary_state);
typedef enum { MAYBE = -1, TRUE = 1, FALSE = 0 } ss_match;
typedef ss_match (*ss_equality)(const void* state, const void* summary_state);
/* while doing cftp like things: */
#define MAX_DOUBLINGS 16
#define INIT_ITERS 1

/* For use with latent history */
typedef void (*transition_reverse)(void* state, Rand_t seed, double* reverse_nums);
typedef void (*transition_function)(void* summary_state, double* nums);

#endif /* #ifndef  _MC_OPERATORS_H_  */
