function [xx, uu, Lfh, accept] = pmc_eslice_mh_joint(log_fhat, xx, uu, widths, Lfh, varargin)

% TODO CARE: assuming q(u) is Gaussian and not incorporated into log_fhat.

% Update auxiliary variables
log_udist = @(u) log_fhat(xx, u, varargin{:});
[uu, Lfh] = elliptical_slice(uu, randn(size(uu)), log_udist, Lfh);

% Update target variables
x_prop = xx + widths.*randn(size(xx));

Lfh_prop = log_fhat(x_prop, uu, varargin{:});
if log(rand()) < (Lfh_prop - Lfh)
    accept = 1;
    Lfh = Lfh_prop;
    xx = x_prop;
else
    accept = 0;
end

