runs = 0:9;
M = numel(runs);
lags = 1:5000;
S = [];

ac_array = zeros(numel(lags), M);
for mm = 1:M
    run = runs(mm);
    fprintf('run %d / %d\r', mm, M);
    xx = load(sprintf('results_ising_pm_f_0_0.1_run_%d', run));
    %assert(isempty(S) || (S == size(xx, 1))); % want all runs to be same size and to have record
    %S = size(xx, 1);
    %ac_array(:, mm) = autocorr_diag_rcoda(xx, lags);
    ac = autocorr(xx(:, 2), lags(end));
    if lags(1) == 1
        ac = ac(2:end);
    end
    ac_array(:, mm) = ac(:);
end
ac_mu = mean(ac_array, 2);
ac_err = std(ac_array, [], 2)/sqrt(M);
fprintf('\n');

save ising_corr_long_f ac_mu ac_err ac_array
